import { storiesOf } from '@storybook/vue';
import itfPagination from './Pagination.vue';
import itfApp from '../app/App.vue';

storiesOf('Common', module)
  .add('Pagination', () => ({
    components: {
      itfApp,
      itfPagination
    },
    data() {
      return {
        page: 1,
        customDays: {
          '2021-10-21': { text: '🎉', class: 'test' }
        },
        dateRange: null,
        month: '09-2021'
      }
    },
    template: `<div>
      <p>You need wrap whole application with this tag</p>

      <h2>Usage</h2>

  <pre>

  </pre>

      <h2>Example</h2>

      <itf-app ref="app">

        {{page}}

        <br />
        <itf-pagination :length="500" v-model.lazy="page"></itf-pagination>

      </itf-app>
    </div>`,
  }));
